Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# png_info_struct Struct Reference

`#include <png.h>`

Collaboration diagram for png_info_struct:

[legend]
List of all members.

## Public Attributes
png_uint_32 | width
png_uint_32 | height
png_uint_32 | valid
png_uint_32 | rowbytes
png_colorp | palette
png_uint_16 | num_palette
png_uint_16 | num_trans
png_byte | bit_depth
png_byte | color_type
png_byte | compression_type
png_byte | filter_type
png_byte | interlace_type
png_byte | channels
png_byte | pixel_depth
png_byte | spare_byte
png_byte | signature [8]
float | gamma
png_byte | srgb_intent
int | num_text
int | max_text
png_textp | text
png_time | mod_time
png_color_8 | sig_bit
png_bytep | trans
png_color_16 | trans_values
png_color_16 | background
png_int_32 | x_offset
png_int_32 | y_offset
png_byte | offset_unit_type
png_uint_32 | x_pixels_per_unit
png_uint_32 | y_pixels_per_unit
png_byte | phys_unit_type
png_uint_16p | hist
float | x_white
float | y_white
float | x_red
float | y_red
float | x_green
float | y_green
float | x_blue
float | y_blue
png_charp | pcal_purpose
png_int_32 | pcal_X0
png_int_32 | pcal_X1
png_charp | pcal_units
png_charpp | pcal_params
png_byte | pcal_type
png_byte | pcal_nparams
png_uint_32 | free_me
png_unknown_chunkp | unknown_chunks
png_size_t | unknown_chunks_num
png_charp | iccp_name
png_charp | iccp_profile
png_uint_32 | iccp_proflen
png_byte | iccp_compression
png_sPLT_tp | splt_palettes
png_uint_32 | splt_palettes_num
png_byte | scal_unit
double | scal_pixel_width
double | scal_pixel_height
png_charp | scal_s_width
png_charp | scal_s_height
png_bytepp | row_pointers
png_fixed_point | int_gamma
png_fixed_point | int_x_white
png_fixed_point | int_y_white
png_fixed_point | int_x_red
png_fixed_point | int_y_red
png_fixed_point | int_x_green
png_fixed_point | int_y_green
png_fixed_point | int_x_blue
png_fixed_point | int_y_blue

## Member Data Documentation

png_color_16 png_info_struct::background

png_byte png_info_struct::bit_depth

png_byte png_info_struct::channels

png_byte png_info_struct::color_type

png_byte png_info_struct::compression_type

png_byte png_info_struct::filter_type

png_uint_32 png_info_struct::free_me

float png_info_struct::gamma

png_uint_32 png_info_struct::height

png_uint_16p png_info_struct::hist

png_byte png_info_struct::iccp_compression

png_charp png_info_struct::iccp_name

png_charp png_info_struct::iccp_profile

png_uint_32 png_info_struct::iccp_proflen

png_fixed_point png_info_struct::int_gamma

png_fixed_point png_info_struct::int_x_blue

png_fixed_point png_info_struct::int_x_green

png_fixed_point png_info_struct::int_x_red

png_fixed_point png_info_struct::int_x_white

png_fixed_point png_info_struct::int_y_blue

png_fixed_point png_info_struct::int_y_green

png_fixed_point png_info_struct::int_y_red

png_fixed_point png_info_struct::int_y_white

png_byte png_info_struct::interlace_type

int png_info_struct::max_text

png_time png_info_struct::mod_time

png_uint_16 png_info_struct::num_palette

int png_info_struct::num_text

png_uint_16 png_info_struct::num_trans

png_byte png_info_struct::offset_unit_type

png_colorp png_info_struct::palette

png_byte png_info_struct::pcal_nparams

png_charpp png_info_struct::pcal_params

png_charp png_info_struct::pcal_purpose

png_byte png_info_struct::pcal_type

png_charp png_info_struct::pcal_units

png_int_32 png_info_struct::pcal_X0

png_int_32 png_info_struct::pcal_X1

png_byte png_info_struct::phys_unit_type

png_byte png_info_struct::pixel_depth

png_bytepp png_info_struct::row_pointers

png_uint_32 png_info_struct::rowbytes

double png_info_struct::scal_pixel_height

double png_info_struct::scal_pixel_width

png_charp png_info_struct::scal_s_height

png_charp png_info_struct::scal_s_width

png_byte png_info_struct::scal_unit

png_color_8 png_info_struct::sig_bit

png_byte png_info_struct::signature[8]

png_byte png_info_struct::spare_byte

png_sPLT_tp png_info_struct::splt_palettes

png_uint_32 png_info_struct::splt_palettes_num

png_byte png_info_struct::srgb_intent

png_textp png_info_struct::text

png_bytep png_info_struct::trans

png_color_16 png_info_struct::trans_values

png_unknown_chunkp png_info_struct::unknown_chunks

png_size_t png_info_struct::unknown_chunks_num

png_uint_32 png_info_struct::valid

png_uint_32 png_info_struct::width

float png_info_struct::x_blue

float png_info_struct::x_green

png_int_32 png_info_struct::x_offset

png_uint_32 png_info_struct::x_pixels_per_unit

float png_info_struct::x_red

float png_info_struct::x_white

float png_info_struct::y_blue

float png_info_struct::y_green

png_int_32 png_info_struct::y_offset

png_uint_32 png_info_struct::y_pixels_per_unit

float png_info_struct::y_red

float png_info_struct::y_white

The documentation for this struct was generated from the following file:

- png.h